de.katho.kBorrow.controller

## Class ManageLendingsController

- java.lang.Object
- - de.katho.kBorrow.controller.ManageLendingsController

    public class ManageLendingsController
    extends java.lang.Object

ManageLendingsController führt sämtliche Datenbankoperationen durch, die durch `ManageLendingsPanel` angestoßen werden.

### Field Summary

Fields
`private KArticleModel` `articleModel` Referenz auf KArticleModel, wird benötigt um Tabellen und Listen zu aktualisieren.
`private DbConnector` `dbCon` Referenz auf die Datenbank
`private KLendingModel` `lendingModel` Referenz auf KLendingModel, wird benötigt, um Tabellen und Listen zu aktualiseren.

### Constructor Summary

Constructors
Constructor and Description
`ManageLendingsController(DbConnector pDbCon, java.util.HashMap<java.lang.String,KDataModel> models)` Erzeugt eine neue Instanz des ManageLendingsController.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `returnLending(int pId)` Trägt die aktive Ausleihe mit der ID "pId" wieder als verfügbar ein.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dbCon

    private DbConnector dbCon

Referenz auf die Datenbank

#### articleModel

    private KArticleModel articleModel

Referenz auf KArticleModel, wird benötigt um Tabellen und Listen zu aktualisieren.

#### lendingModel

    private KLendingModel lendingModel

Referenz auf KLendingModel, wird benötigt, um Tabellen und Listen zu aktualiseren.

### Constructor Detail

#### ManageLendingsController

    public ManageLendingsController(DbConnector pDbCon,
                                    java.util.HashMap<java.lang.String,KDataModel> models)

Erzeugt eine neue Instanz des ManageLendingsController.

Parameters:
  `pDbCon` - Referenz auf die Datenbank.
  `models` - HashMap mit KDataModels.

### Method Detail

#### returnLending

    public void returnLending(int pId)

Trägt die aktive Ausleihe mit der ID "pId" wieder als verfügbar ein. Das ausgeliehene Objekt wird somit zurück gegeben.

Parameters:
  `pId` - ID der zurückzugebenden Ausleihe.